libwx_baseu-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm


Advertisement

Description

libwx_baseu-2_8-0-wxcontainer - wxWidgets Library

Property Value
Distribution openSUSE Leap 15.0
Repository Packman all
Package filename libwx_baseu-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm
Package name libwx_baseu-2_8-0-wxcontainer
Package version 2.8.12
Package release lp150.6.7
Package architecture aarch64
Package type rpm
Category System/Libraries
Homepage http://www.wxwidgets.org/
License GPL-2.0+
Maintainer -
Download size 395.36 KB
Installed size 1.39 MB
Library for the wxWidgets cross-platform GUI.
API version: 2.8
ABI variant: wx container API with Unicode support

Alternatives

Package Version Architecture Repository
libwx_baseu-2_8-0-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm 2.8.12 x86_64 Packman
libwx_baseu-2_8-0-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm 2.8.12 armv7hl Packman
libwx_baseu-2_8-0-wxcontainer - - -

Requires

Name Value
ld-linux-aarch64.so.1()(64bit) -
ld-linux-aarch64.so.1(GLIBC_2.17)(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.17)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.17)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.17)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
libwx_baseu-2.8.so.0(wxcontainer)()(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.1)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.10)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.11)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.12)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.2)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.4)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.5)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.7)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.8)(64bit) -
libwx_baseu-2.8.so.0(wxcontainer)(WXU_2.8.9)(64bit) -
libwx_baseu-2_8-0-wxcontainer = 2.8.12-lp150.6.7
libwx_baseu-2_8-0-wxcontainer(aarch-64) = 2.8.12-lp150.6.7
wxWidgets = 2.8.12

Obsoletes

Name Value
wxGTK <= 2.8.12.0
wxWidgets < 2.8.12

Download

Type URL
Mirror packman.inode.at
Binary Package libwx_baseu-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm
Source Package wxWidgets-wxcontainer-2.8.12-lp150.6.7.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.0/ packman
  2. Install libwx_baseu-2_8-0-wxcontainer rpm package:
    # zypper install libwx_baseu-2_8-0-wxcontainer

Files

Path
/usr/lib64/wx-2.8-wxcontainer/libwx_baseu-2.8.so.0
/usr/lib64/wx-2.8-wxcontainer/libwx_baseu-2.8.so.0.8.0
/usr/lib64/wx-2.8-wxcontainer/wx/
/usr/lib64/wx-2.8-wxcontainer/wx/2.8/

Changelog

2016-06-18 - i@marguerite.su
- add patch: wxWidgets-2.8.12-gcc6.patch
* fix FTBFS: gcc6 narrowing conversion from int to char inside {}
* original patch from <dan@danny.cz> for fedora project
2014-07-31 - dimstar@opensuse.org
- Rename rpmlintrc to %{name}-rpmlintrc.
Follow the packaging guidelines.
2014-04-04 - seiler@b1-systems.de
- removed unneeded 32bit packages (*-compat-lib*) which has no libraries
2014-02-17 - seiler@b1-systems.de
- added baselibs.conf to add *-32bit packages
2013-08-22 - jengelh@inai.de
- Use %_smp_mflags for parallel build and better make install call.
2013-05-30 - sbrabec@suse.cz
- Add libXinerama-devel to BuildRequires (bnc#820016).
2013-04-29 - mhrusecky@suse.com
- add libXt-devel buildrequires to fix Factory build
2013-03-24 - jengelh@inai.de
- Update dependencies for wxWidgets-devel: Mesa no longer bundles GL
2012-10-24 - sbrabec@suse.cz
- Add "API version" in %description.
2012-09-20 - coolo@suse.com
- add explicit buildrequire on pkgconfig(glu)

See Also

Package Description
libwx_baseu-2_8-0-wxcontainer-64bit-2.8.12-lp150.6.7.aarch64_ilp32.rpm wxWidgets Library
libwx_baseu_net-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library Compatibility Virtual Package
libwx_baseu_net-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library Compatibility Virtual Package
libwx_baseu_net-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library Compatibility Virtual Package
libwx_baseu_net-2_8-0-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library
libwx_baseu_net-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library
libwx_baseu_net-2_8-0-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library
libwx_baseu_net-2_8-0-wxcontainer-64bit-2.8.12-lp150.6.7.aarch64_ilp32.rpm wxWidgets Library
libwx_baseu_xml-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library Compatibility Virtual Package
libwx_baseu_xml-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library Compatibility Virtual Package
libwx_baseu_xml-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library Compatibility Virtual Package
libwx_baseu_xml-2_8-0-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library
libwx_baseu_xml-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library
libwx_baseu_xml-2_8-0-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library
libwx_baseu_xml-2_8-0-wxcontainer-64bit-2.8.12-lp150.6.7.aarch64_ilp32.rpm wxWidgets Library
Advertisement
Advertisement